π¦Accounts
API reference for account-related endpoints
Creating a New Account for a Customer
Creates new account for the customer and generates a challenge to be signed in order to create a related blockchain account
Unique customer ID
HTTP message signature
HTTP message signature input
Idempotency key (UUID)
Content digest
Type of the account
Currencies of the account, at least one is required (ISO-4217)
Successful operation
Cryptographic challenge generated to be signed by owner's EOA private key according to chain-specific algorithm. Challenge is used for verifying ownership of the account and signing on-chain transactions such as creating a new account, authorising a recurring payment or setting up spending limits
Unique account ID
Unique customer ID
Unique account ID in a form of a valid on-chain address. This would normally correspond to account's SCA address
eip155:1:0xab16a96D359eC26a11e2C2b3d8f8B8942d5BfcdbAccount status
Type of the account
Currencies of the account, at least one is required (ISO-4217)
Date this account was created (ISO-8601)
Date this account was updated (ISO-8601)
Base64 encoded message provided by this API for owner to sign
LS0tLS1CRUdJTiBQVUJMSUMgS0VZLS0tLS0KTUZZd0VBWUhLb1pJemowQ0FRWUZLNEVFQUFvRFFnQUUzTEw1RldmVFgvL3BJaXNEL0xneFVIT2lxdlFTSUVWTgpGekloOTdLZXBlWk1iZVZsUGd1akZ4Yk5MN2x1ZVhRQnBpUWUzNmZLN0xSbXZNNHdEaWZFTkE9PQotLS0tLUVORCBQVUJMSUMgS0VZLS0tLS0=Invalid request
Not authorised
Customer not found
Internal error
POST /v1/customers/{customerId}/accounts HTTP/1.1
Host: api.offblocks.xyz
Authorization: Bearer YOUR_SECRET_TOKEN
Signature: text
Signature-Input: text
Idempotency-Key: 123e4567-e89b-12d3-a456-426614174000
Content-Digest: text
Content-Type: application/json
Accept: */*
Content-Length: 45
{
"type": "card_account",
"currencies": [
"text"
]
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"customerId": "123e4567-e89b-12d3-a456-426614174000",
"chainId": "eip155:1:0xab16a96D359eC26a11e2C2b3d8f8B8942d5Bfcdb",
"status": "initiating",
"type": "card_account",
"currencies": [
"text"
],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"challenge": "LS0tLS1CRUdJTiBQVUJMSUMgS0VZLS0tLS0KTUZZd0VBWUhLb1pJemowQ0FRWUZLNEVFQUFvRFFnQUUzTEw1RldmVFgvL3BJaXNEL0xneFVIT2lxdlFTSUVWTgpGekloOTdLZXBlWk1iZVZsUGd1akZ4Yk5MN2x1ZVhRQnBpUWUzNmZLN0xSbXZNNHdEaWZFTkE9PQotLS0tLUVORCBQVUJMSUMgS0VZLS0tLS0="
}Account Entity Updates
Blockchain Updates
Retrieve Account Entities
Retrieves accounts' details
HTTP message signature
HTTP message signature input
Successful operation
Unique account ID
Unique customer ID
Unique account ID in a form of a valid on-chain address. This would normally correspond to account's SCA address
eip155:1:0xab16a96D359eC26a11e2C2b3d8f8B8942d5BfcdbAccount status
Type of the account
Currencies of the account, at least one is required (ISO-4217)
Date this account was created (ISO-8601)
Date this account was updated (ISO-8601)
Invalid request
Not authorised
Internal error
GET /v1/accounts HTTP/1.1
Host: api.offblocks.xyz
Authorization: Bearer YOUR_SECRET_TOKEN
Signature: text
Signature-Input: text
Accept: */*
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"customerId": "123e4567-e89b-12d3-a456-426614174000",
"chainId": "eip155:1:0xab16a96D359eC26a11e2C2b3d8f8B8942d5Bfcdb",
"status": "initiating",
"type": "card_account",
"currencies": [
"text"
],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
]Retrieve an Individual Customer's Accounts
Retrieves customer's accounts
Unique customer ID
HTTP message signature
HTTP message signature input
Successful operation
Unique account ID
Unique customer ID
Unique account ID in a form of a valid on-chain address. This would normally correspond to account's SCA address
eip155:1:0xab16a96D359eC26a11e2C2b3d8f8B8942d5BfcdbAccount status
Type of the account
Currencies of the account, at least one is required (ISO-4217)
Date this account was created (ISO-8601)
Date this account was updated (ISO-8601)
Invalid request
Not authorised
Customer not found
Internal error
GET /v1/customers/{customerId}/accounts HTTP/1.1
Host: api.offblocks.xyz
Authorization: Bearer YOUR_SECRET_TOKEN
Signature: text
Signature-Input: text
Accept: */*
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"customerId": "123e4567-e89b-12d3-a456-426614174000",
"chainId": "eip155:1:0xab16a96D359eC26a11e2C2b3d8f8B8942d5Bfcdb",
"status": "initiating",
"type": "card_account",
"currencies": [
"text"
],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
]Retrieve an Individual Account
Retrieves account's details
Unique account ID
HTTP message signature
HTTP message signature input
Successful operation
Unique account ID
Unique customer ID
Unique account ID in a form of a valid on-chain address. This would normally correspond to account's SCA address
eip155:1:0xab16a96D359eC26a11e2C2b3d8f8B8942d5BfcdbAccount status
Type of the account
Currencies of the account, at least one is required (ISO-4217)
Date this account was created (ISO-8601)
Date this account was updated (ISO-8601)
Invalid request
Not authorised
Account not found
Internal error
GET /v1/accounts/{accountId} HTTP/1.1
Host: api.offblocks.xyz
Authorization: Bearer YOUR_SECRET_TOKEN
Signature: text
Signature-Input: text
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"customerId": "123e4567-e89b-12d3-a456-426614174000",
"chainId": "eip155:1:0xab16a96D359eC26a11e2C2b3d8f8B8942d5Bfcdb",
"status": "initiating",
"type": "card_account",
"currencies": [
"text"
],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}Deactivate an Account
Deactivates account and all associated resources
Unique account ID
HTTP message signature
HTTP message signature input
Idempotency key (UUID)
Successful operation
Unique account ID
Unique customer ID
Unique account ID in a form of a valid on-chain address. This would normally correspond to account's SCA address
eip155:1:0xab16a96D359eC26a11e2C2b3d8f8B8942d5BfcdbAccount status
Type of the account
Currencies of the account, at least one is required (ISO-4217)
Date this account was created (ISO-8601)
Date this account was updated (ISO-8601)
Invalid request
Not authorised
Account not found
Invalid state transition
Internal error
PATCH /v1/accounts/{accountId}/deactivate HTTP/1.1
Host: api.offblocks.xyz
Authorization: Bearer YOUR_SECRET_TOKEN
Signature: text
Signature-Input: text
Idempotency-Key: 123e4567-e89b-12d3-a456-426614174000
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"customerId": "123e4567-e89b-12d3-a456-426614174000",
"chainId": "eip155:1:0xab16a96D359eC26a11e2C2b3d8f8B8942d5Bfcdb",
"status": "initiating",
"type": "card_account",
"currencies": [
"text"
],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}Reactivate an Account
Activates account and all associated resources
Unique account ID
HTTP message signature
HTTP message signature input
Idempotency key (UUID)
Successful operation
Unique account ID
Unique customer ID
Unique account ID in a form of a valid on-chain address. This would normally correspond to account's SCA address
eip155:1:0xab16a96D359eC26a11e2C2b3d8f8B8942d5BfcdbAccount status
Type of the account
Currencies of the account, at least one is required (ISO-4217)
Date this account was created (ISO-8601)
Date this account was updated (ISO-8601)
Invalid request
Not authorised
Account not found
Invalid state transition
Internal error
PATCH /v1/accounts/{accountId}/activate HTTP/1.1
Host: api.offblocks.xyz
Authorization: Bearer YOUR_SECRET_TOKEN
Signature: text
Signature-Input: text
Idempotency-Key: 123e4567-e89b-12d3-a456-426614174000
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"customerId": "123e4567-e89b-12d3-a456-426614174000",
"chainId": "eip155:1:0xab16a96D359eC26a11e2C2b3d8f8B8942d5Bfcdb",
"status": "initiating",
"type": "card_account",
"currencies": [
"text"
],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}Closing an Account
Closes account and generates a challenge to be signed in order to delete related blockchain account
Unique account ID
HTTP message signature
HTTP message signature input
Idempotency key (UUID)
Successful operation
No content
Invalid request
Not authorised
Account not found
Invalid state transition
Internal error
DELETE /v1/accounts/{accountId} HTTP/1.1
Host: api.offblocks.xyz
Authorization: Bearer YOUR_SECRET_TOKEN
Signature: text
Signature-Input: text
Idempotency-Key: 123e4567-e89b-12d3-a456-426614174000
Accept: */*
No content
Last updated